Bug 431164 - Game stops playing normally under certain circumstances
Game stops playing normally under certain circumstances
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blobwars (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Rafał Psota
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 23:30 EST by Chris Schembari
Modified: 2008-06-16 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
save.dat files from blobwars (741 bytes, application/x-gzip)
2008-02-02 20:57 EST, Chris Schembari
no flags Details

  None (edit)
Description Chris Schembari 2008-01-31 23:30:33 EST
Description of problem:


Version-Release number of selected component (if applicable): BlobWars 1.06

How reproducible: Occasional.

Steps to Reproduce:
1. Enter the "BioMech Supply Depot" level.
2. Pick up a powerful weapon, such as a grenade pack or laser cannon.
3. Defeat one tank suddenly.
4. Wait for other tank to attack. Keep waiting...
  
Actual results:
  It's as if the game forgets that there is another tank in the game that's
supposed to attack the hero Bob after the first tank blew up.
  Music continues normally, and I can still move around the bottom of the level
normally, but the other tank stays up in its loft and doesn't come down to
attack, nor do the hard-hide blobs on the sides.
  Sometimes this is accompanied by an unusual artifact in the enemy health meter
at the bottom of the screen.  The words "BioMech Tank #[x]" are replaced by the
much more obscure "FONT_ERROR__", and the red bar inside the white box-frame
will completely fill that frame and extend itself well outside the frame to the
right.

Expected results:
  Remaining tank and enemy blobs continue attack till tank or my character are dead.

Additional info:  The machine this occurs on is the same one I listed under Bug
#429365.
Comment 1 Hans de Goede 2008-02-01 02:47:01 EST
Thanks for your bugreport.

Could you please attach your savegames and can you try reproducing this on
another computer?
Comment 2 Chris Schembari 2008-02-02 20:57:05 EST
Created attachment 293815 [details]
save.dat files from blobwars

I _think_ this is what you asked for.  Let me know if not; and if it's not, how
to get what you asked for.
Trying this game out on another machine might take a bit longer...
Comment 3 Hans de Goede 2008-04-14 13:35:59 EDT
Sorry I never got around to looking further into this. I'm resigning as
maintainer of this package due to lack of time, I'm reassigning to the new
package owner.
Comment 4 Bug Zapper 2008-05-14 11:17:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 23:00:27 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.